module ResetControl(
    Clock,

    CPUTrigger,
    CPUReset
);

input                           Clock;

input                           CPUTrigger;
output                          CPUReset;

reg         [15:0]              cpuresetshift;

assign CPUReset = cpuresetshift[15];

always@(posedge Clock) begin
    cpuresetshift <= CPUTrigger ? 16'hFFFF : {cpuresetshift[14:0], 1'b0};
end

endmodule
